# Cloud Run Admin API . projects . locations . configurations

## Instance Methods

Close httplib2 connections.

Get information about a configuration.

List configurations. Results are sorted by creation time, descending.

### Method Details

`close()`

    Close httplib2 connections.

`get(name, x__xgafv=None)`

    Get information about a configuration.

    Args:
      name: string, The name of the configuration to retrieve. For Cloud Run, replace {namespace_id} with the project ID or number. (required)
      x__xgafv: string, V1 error format.
        Allowed values
          1 - v1 error format
          2 - v2 error format

    Returns:
      An object of the form:

        { # Configuration represents the "floating HEAD" of a linear history of Revisions, and optionally how the containers those revisions reference are built. Users create new Revisions by updating the Configuration's spec. The "latest created" revision's name is available under status, as is the "latest ready" revision's name.
      "apiVersion": "A String", # The API version for this call such as "serving.knative.dev/v1".
      "kind": "A String", # The kind of resource, in this case always "Configuration".
      "metadata": { # google.cloud.run.meta.v1.ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create. # Metadata associated with this Configuration, including name, namespace, labels, and annotations.
        "annotations": { # Unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects. In Cloud Run, annotations with 'run.googleapis.com/' and 'autoscaling.knative.dev' are restricted, and the accepted annotations will be different depending on the resource type. * `autoscaling.knative.dev/maxScale`: Revision. * `autoscaling.knative.dev/minScale`: Revision. * `run.googleapis.com/base-images`: Service, Revision. * `run.googleapis.com/binary-authorization-breakglass`: Service, Job, * `run.googleapis.com/binary-authorization`: Service, Job, Execution. * `run.googleapis.com/build-base-image`: Service. * `run.googleapis.com/build-enable-automatic-updates`: Service. * `run.googleapis.com/build-environment-variables`: Service. * `run.googleapis.com/build-function-target`: Service, Revision. * `run.googleapis.com/build-id`: Service, Revision. * `run.googleapis.com/build-image-uri`: Service. * `run.googleapis.com/build-name`: Service. * `run.googleapis.com/build-service-account`: Service. * `run.googleapis.com/build-source-location`: Service, Revision. * `run.googleapis.com/build-worker-pool`: Service. * `run.googleapis.com/client-name`: All resources. * `run.googleapis.com/cloudsql-instances`: Revision, Execution. * `run.googleapis.com/container-dependencies`: Revision . * `run.googleapis.com/cpu-throttling`: Revision. * `run.googleapis.com/custom-audiences`: Service. * `run.googleapis.com/default-url-disabled`: Service. * `run.googleapis.com/description`: Service. * `run.googleapis.com/encryption-key-shutdown-hours`: Revision * `run.googleapis.com/encryption-key`: Revision, Execution. * `run.googleapis.com/execution-environment`: Revision, Execution. * `run.googleapis.com/gc-traffic-tags`: Service. * `run.googleapis.com/gpu-zonal-redundancy-disabled`: Revision. * `run.googleapis.com/health-check-disabled`: Revision. * `run.googleapis.com/ingress`: Service, Instance. * `run.googleapis.com/invoker-iam-disabled`: Service, Instance. * `run.googleapis.com/launch-stage`: Service, Job. * `run.googleapis.com/minScale`: Service. * `run.googleapis.com/maxScale`: Service. * `run.googleapis.com/manualInstanceCount`: Service. * `run.googleapis.com/network-interfaces`: Revision, Execution. * `run.googleapis.com/post-key-revocation-action-type`: Revision. `run.googleapis.com/scalingMode`: Service. * `run.googleapis.com/secrets`: Revision, Execution. * `run.googleapis.com/secure-session-agent`: Revision. * `run.googleapis.com/sessionAffinity`: Revision. * `run.googleapis.com/startup-cpu-boost`: Revision. * `run.googleapis.com/vpc-access-connector`: Revision, Execution. * `run.googleapis.com/vpc-access-egress`: Revision, Execution.
          "a_key": "A String",
        },
        "clusterName": "A String", # Not supported by Cloud Run
        "creationTimestamp": "A String", # UTC timestamp representing the server time when this object was created.
        "deletionGracePeriodSeconds": 42, # Not supported by Cloud Run
        "deletionTimestamp": "A String", # The read-only soft deletion timestamp for this resource. In Cloud Run, users are not able to set this field. Instead, they must call the corresponding Delete API.
        "finalizers": [ # Not supported by Cloud Run
          "A String",
        ],
        "generateName": "A String", # Optional. A prefix for the resource name if not provided in the create request. Must be less than 31 characters to allow for a random suffix.
        "generation": 42, # A system-provided sequence number representing a specific generation of the desired state.
        "labels": { # Map of string keys and values that can be used to organize and categorize (scope and select) objects. May match selectors of replication controllers and routes.
          "a_key": "A String",
        },
        "name": "A String", # Optional. The name of the resource. A name for creating top-level resources (Service, Job, WorkerPool). Must be unique within a Cloud Run project/region, and cannot be changed once created. If omitted, a default name will be generated.
        "namespace": "A String", # Required. Defines the space within each name must be unique within a Cloud Run region. In Cloud Run, it must be project ID or number.
        "ownerReferences": [ # Not supported by Cloud Run
          { # This is not supported or used by Cloud Run.
            "apiVersion": "A String", # This is not supported or used by Cloud Run.
            "blockOwnerDeletion": True or False, # This is not supported or used by Cloud Run.
            "controller": True or False, # This is not supported or used by Cloud Run.
            "kind": "A String", # This is not supported or used by Cloud Run.
            "name": "A String", # This is not supported or used by Cloud Run.
            "uid": "A String", # This is not supported or used by Cloud Run.
          },
        ],
        "resourceVersion": "A String", # Opaque, system-generated value that represents the internal version of this object that can be used by clients to determine when objects have changed. May be used for optimistic concurrency, change detection, and the watch operation on a resource or set of resources. Clients must treat these values as opaque and passed unmodified back to the server or omit the value to disable conflict-detection.
        "selfLink": "A String", # URL representing this object.
        "uid": "A String", # Unique, system-generated identifier for this resource.
      },
      "spec": { # ConfigurationSpec holds the desired state of the Configuration (from the client). # Spec holds the desired state of the Configuration (from the client).
        "template": { # RevisionTemplateSpec describes the data a revision should have when created from a template. # Template holds the latest specification for the Revision to be stamped out.
          "metadata": { # google.cloud.run.meta.v1.ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create. # Optional metadata for this Revision, including labels and annotations. Name will be generated by the Configuration. The following annotation keys set properties of the created revision: * `autoscaling.knative.dev/minScale` sets the minimum number of instances. * `autoscaling.knative.dev/maxScale` sets the maximum number of instances. * `run.googleapis.com/cloudsql-instances` sets Cloud SQL connections. Multiple values should be comma separated. * `run.googleapis.com/health-check-disabled`: if true, deploy-time startup probes will not run for this revision. * `run.googleapis.com/vpc-access-connector` sets a Serverless VPC Access connector. * `run.googleapis.com/vpc-access-egress` sets VPC egress. Supported values are `all-traffic`, `all` (deprecated), and `private-ranges-only`. `all-traffic` and `all` provide the same functionality. `all` is deprecated but will continue to be supported. Prefer `all-traffic`.
            "annotations": { # Unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects. In Cloud Run, annotations with 'run.googleapis.com/' and 'autoscaling.knative.dev' are restricted, and the accepted annotations will be different depending on the resource type. * `autoscaling.knative.dev/maxScale`: Revision. * `autoscaling.knative.dev/minScale`: Revision. * `run.googleapis.com/base-images`: Service, Revision. * `run.googleapis.com/binary-authorization-breakglass`: Service, Job, * `run.googleapis.com/binary-authorization`: Service, Job, Execution. * `run.googleapis.com/build-base-image`: Service. * `run.googleapis.com/build-enable-automatic-updates`: Service. * `run.googleapis.com/build-environment-variables`: Service. * `run.googleapis.com/build-function-target`: Service, Revision. * `run.googleapis.com/build-id`: Service, Revision. * `run.googleapis.com/build-image-uri`: Service. * `run.googleapis.com/build-name`: Service. * `run.googleapis.com/build-service-account`: Service. * `run.googleapis.com/build-source-location`: Service, Revision. * `run.googleapis.com/build-worker-pool`: Service. * `run.googleapis.com/client-name`: All resources. * `run.googleapis.com/cloudsql-instances`: Revision, Execution. * `run.googleapis.com/container-dependencies`: Revision . * `run.googleapis.com/cpu-throttling`: Revision. * `run.googleapis.com/custom-audiences`: Service. * `run.googleapis.com/default-url-disabled`: Service. * `run.googleapis.com/description`: Service. * `run.googleapis.com/encryption-key-shutdown-hours`: Revision * `run.googleapis.com/encryption-key`: Revision, Execution. * `run.googleapis.com/execution-environment`: Revision, Execution. * `run.googleapis.com/gc-traffic-tags`: Service. * `run.googleapis.com/gpu-zonal-redundancy-disabled`: Revision. * `run.googleapis.com/health-check-disabled`: Revision. * `run.googleapis.com/ingress`: Service, Instance. * `run.googleapis.com/invoker-iam-disabled`: Service, Instance. * `run.googleapis.com/launch-stage`: Service, Job. * `run.googleapis.com/minScale`: Service. * `run.googleapis.com/maxScale`: Service. * `run.googleapis.com/manualInstanceCount`: Service. * `run.googleapis.com/network-interfaces`: Revision, Execution. * `run.googleapis.com/post-key-revocation-action-type`: Revision. `run.googleapis.com/scalingMode`: Service. * `run.googleapis.com/secrets`: Revision, Execution. * `run.googleapis.com/secure-session-agent`: Revision. * `run.googleapis.com/sessionAffinity`: Revision. * `run.googleapis.com/startup-cpu-boost`: Revision. * `run.googleapis.com/vpc-access-connector`: Revision, Execution. * `run.googleapis.com/vpc-access-egress`: Revision, Execution.
              "a_key": "A String",
            },
            "clusterName": "A String", # Not supported by Cloud Run
            "creationTimestamp": "A String", # UTC timestamp representing the server time when this object was created.
            "deletionGracePeriodSeconds": 42, # Not supported by Cloud Run
            "deletionTimestamp": "A String", # The read-only soft deletion timestamp for this resource. In Cloud Run, users are not able to set this field. Instead, they must call the corresponding Delete API.
            "finalizers": [ # Not supported by Cloud Run
              "A String",
            ],
            "generateName": "A String", # Optional. A prefix for the resource name if not provided in the create request. Must be less than 31 characters to allow for a random suffix.
            "generation": 42, # A system-provided sequence number representing a specific generation of the desired state.
            "labels": { # Map of string keys and values that can be used to organize and categorize (scope and select) objects. May match selectors of replication controllers and routes.
              "a_key": "A String",
            },
            "name": "A String", # Optional. The name of the resource. A name for creating top-level resources (Service, Job, WorkerPool). Must be unique within a Cloud Run project/region, and cannot be changed once created. If omitted, a default name will be generated.
            "namespace": "A String", # Required. Defines the space within each name must be unique within a Cloud Run region. In Cloud Run, it must be project ID or number.
            "ownerReferences": [ # Not supported by Cloud Run
              { # This is not supported or used by Cloud Run.
                "apiVersion": "A String", # This is not supported or used by Cloud Run.
                "blockOwnerDeletion": True or False, # This is not supported or used by Cloud Run.
                "controller": True or False, # This is not supported or used by Cloud Run.
                "kind": "A String", # This is not supported or used by Cloud Run.
                "name": "A String", # This is not supported or used by Cloud Run.
                "uid": "A String", # This is not supported or used by Cloud Run.
              },
            ],
            "resourceVersion": "A String", # Opaque, system-generated value that represents the internal version of this object that can be used by clients to determine when objects have changed. May be used for optimistic concurrency, change detection, and the watch operation on a resource or set of resources. Clients must treat these values as opaque and passed unmodified back to the server or omit the value to disable conflict-detection.
            "selfLink": "A String", # URL representing this object.
            "uid": "A String", # Unique, system-generated identifier for this resource.
          },
          "spec": { # RevisionSpec holds the desired state of the Revision (from the client). # RevisionSpec holds the desired state of the Revision (from the client).
            "containerConcurrency": 42, # ContainerConcurrency specifies the maximum allowed in-flight (concurrent) requests per container instance of the Revision. If not specified or 0, defaults to 80 when requested CPU >= 1 and defaults to 1 when requested CPU < 1.
            "containers": [ # Required. Containers holds the list which define the units of execution for this Revision.
              { # A single application container. This specifies both the container to run, the command to run in the container and the arguments to supply to it. Note that additional arguments may be supplied by the system to the container at runtime.
                "args": [ # Arguments to the entrypoint. The docker image's CMD is used if this is not provided. Variable references are not supported in Cloud Run.
                  "A String",
                ],
                "command": [ # Entrypoint array. Not executed within a shell. The docker image's ENTRYPOINT is used if this is not provided. Variable references are not supported in Cloud Run.
                  "A String",
                ],
                "env": [ # List of environment variables to set in the container. EnvVar with duplicate names are generally allowed; if referencing a secret, the name must be unique for the container. For non-secret EnvVar names, the Container will only get the last-declared one.
                  { # EnvVar represents an environment variable present in a Container.
                    "name": "A String", # Required. Name of the environment variable.
                    "value": "A String", # Value of the environment variable. Defaults to "". Variable references are not supported in Cloud Run.
                    "valueFrom": { # EnvVarSource represents a source for the value of an EnvVar. # Source for the environment variable's value. Only supports secret_key_ref. Cannot be used if value is not empty.
                      "configMapKeyRef": { # Not supported by Cloud Run. # Not supported by Cloud Run. Not supported in Cloud Run.
                        "key": "A String", # Required. Not supported by Cloud Run.
                        "localObjectReference": { # Not supported by Cloud Run. LocalObjectReference contains enough information to let you locate the referenced object inside the same namespace. # Not supported by Cloud Run.
                          "name": "A String", # Name of the referent.
                        },
                        "name": "A String", # Required. Not supported by Cloud Run.
                        "optional": True or False, # Not supported by Cloud Run.
                      },
                      "secretKeyRef": { # SecretKeySelector selects a key of a Secret. # Selects a key (version) of a secret in Secret Manager.
                        "key": "A String", # Required. A Cloud Secret Manager secret version. Must be 'latest' for the latest version, an integer for a specific version, or a version alias. The key of the secret to select from. Must be a valid secret key.
                        "localObjectReference": { # Not supported by Cloud Run. LocalObjectReference contains enough information to let you locate the referenced object inside the same namespace. # This field should not be used directly as it is meant to be inlined directly into the message. Use the "name" field instead.
                          "name": "A String", # Name of the referent.
                        },
                        "name": "A String", # The name of the secret in Cloud Secret Manager. By default, the secret is assumed to be in the same project. If the secret is in another project, you must define an alias. An alias definition has the form: :projects//secrets/. If multiple alias definitions are needed, they must be separated by commas. The alias definitions must be set on the run.googleapis.com/secrets annotation. The name of the secret in the pod's namespace to select from.
                        "optional": True or False, # Specify whether the Secret or its key must be defined.
                      },
                    },
                  },
                ],
                "envFrom": [ # Not supported by Cloud Run.
                  { # Not supported by Cloud Run. EnvFromSource represents the source of a set of ConfigMaps
                    "configMapRef": { # Not supported by Cloud Run. ConfigMapEnvSource selects a ConfigMap to populate the environment variables with. The contents of the target ConfigMap's Data field will represent the key-value pairs as environment variables. # The ConfigMap to select from
                      "localObjectReference": { # Not supported by Cloud Run. LocalObjectReference contains enough information to let you locate the referenced object inside the same namespace. # This field should not be used directly as it is meant to be inlined directly into the message. Use the "name" field instead.
                        "name": "A String", # Name of the referent.
                      },
                      "name": "A String", # The ConfigMap to select from.
                      "optional": True or False, # Specify whether the ConfigMap must be defined.
                    },
                    "prefix": "A String", # An optional identifier to prepend to each key in the ConfigMap. Must be a C_IDENTIFIER.
                    "secretRef": { # Not supported by Cloud Run. SecretEnvSource selects a Secret to populate the environment variables with. The contents of the target Secret's Data field will represent the key-value pairs as environment variables. # The Secret to select from
                      "localObjectReference": { # Not supported by Cloud Run. LocalObjectReference contains enough information to let you locate the referenced object inside the same namespace. # This field should not be used directly as it is meant to be inlined directly into the message. Use the "name" field instead.
                        "name": "A String", # Name of the referent.
                      },
                      "name": "A String", # The Secret to select from.
                      "optional": True or False, # Specify whether the Secret must be defined
                    },
                  },
                ],
                "image": "A String", # Required. Name of the container image in Dockerhub, Google Artifact Registry, or Google Container Registry. If the host is not provided, Dockerhub is assumed.
                "imagePullPolicy": "A String", # Image pull policy. One of Always, Never, IfNotPresent. Defaults to Always if :latest tag is specified, or IfNotPresent otherwise.
                "livenessProbe": { # Probe describes a health check to be performed against a container to determine whether it is alive or ready to receive traffic. # Periodic probe of container liveness. Container will be restarted if the probe fails.
                  "exec": { # Not supported by Cloud Run. ExecAction describes a "run in container" action. # Not supported by Cloud Run.
                    "command": [ # Command is the command line to execute inside the container, the working directory for the command is root ('/') in the container's filesystem. The command is simply exec'd, it is not run inside a shell, so traditional shell instructions ('|', etc) won't work. To use a shell, you need to explicitly call out to that shell. Exit status of 0 is treated as live/healthy and non-zero is unhealthy.
                      "A String",
                    ],
                  },
                  "failureThreshold": 42, # Minimum consecutive failures for the probe to be considered failed after having succeeded. Defaults to 3. Minimum value is 1.
                  "grpc": { # GRPCAction describes an action involving a GRPC port. # GRPCAction specifies an action involving a GRPC port.
                    "port": 42, # Port number of the gRPC service. Number must be in the range 1 to 65535.
                    "service": "A String", # Service is the name of the service to place in the gRPC HealthCheckRequest. If this is not specified, the default behavior is defined by gRPC.
                  },
                  "httpGet": { # HTTPGetAction describes an action based on HTTP Get requests. # HTTPGet specifies the http request to perform.
                    "host": "A String", # Not supported by Cloud Run.
                    "httpHeaders": [ # Custom headers to set in the request. HTTP allows repeated headers.
                      { # HTTPHeader describes a custom header to be used in HTTP probes
                        "name": "A String", # Required. The header field name
                        "value": "A String", # The header field value
                      },
                    ],
                    "path": "A String", # Path to access on the HTTP server.
                    "port": 42, # Port number to access on the container. Number must be in the range 1 to 65535.
                    "scheme": "A String", # Not supported by Cloud Run.
                  },
                  "initialDelaySeconds": 42, # Number of seconds after the container has started before the probe is initiated. Defaults to 0 seconds. Minimum value is 0. Maximum value for liveness probe is 3600. Maximum value for startup probe is 240.
                  "periodSeconds": 42, # How often (in seconds) to perform the probe. Default to 10 seconds. Minimum value is 1. Maximum value for liveness probe is 3600. Maximum value for startup probe is 240. Must be greater or equal than timeout_seconds.
                  "successThreshold": 42, # Minimum consecutive successes for the probe to be considered successful after having failed. Must be 1 if set.
                  "tcpSocket": { # TCPSocketAction describes an action based on opening a socket # TCPSocket specifies an action involving a TCP port.
                    "host": "A String", # Not supported by Cloud Run.
                    "port": 42, # Port number to access on the container. Number must be in the range 1 to 65535.
                  },
                  "timeoutSeconds": 42, # Number of seconds after which the probe times out. Defaults to 1 second. Minimum value is 1. Maximum value is 3600. Must be smaller than period_seconds; if period_seconds is not set, must be less or equal than 10.
                },
                "name": "A String", # Name of the container specified as a DNS_LABEL (RFC 1123).
                "ports": [ # List of ports to expose from the container. Only a single port can be specified. The specified ports must be listening on all interfaces (0.0.0.0) within the container to be accessible. If omitted, a port number will be chosen and passed to the container through the PORT environment variable for the container to listen on.
                  { # ContainerPort represents a network port in a single container.
                    "containerPort": 42, # Port number the container listens on. If present, this must be a valid port number, 0 < x < 65536. If not present, it will default to port 8080. For more information, see https://cloud.google.com/run/docs/container-contract#port
                    "name": "A String", # If specified, used to specify which protocol to use. Allowed values are "http1" and "h2c".
                    "protocol": "A String", # Protocol for port. Must be "TCP". Defaults to "TCP".
                  },
                ],
                "readinessProbe": { # Probe describes a health check to be performed against a container to determine whether it is alive or ready to receive traffic. # Readiness probe to be used for health checks.
                  "exec": { # Not supported by Cloud Run. ExecAction describes a "run in container" action. # Not supported by Cloud Run.
                    "command": [ # Command is the command line to execute inside the container, the working directory for the command is root ('/') in the container's filesystem. The command is simply exec'd, it is not run inside a shell, so traditional shell instructions ('|', etc) won't work. To use a shell, you need to explicitly call out to that shell. Exit status of 0 is treated as live/healthy and non-zero is unhealthy.
                      "A String",
                    ],
                  },
                  "failureThreshold": 42, # Minimum consecutive failures for the probe to be considered failed after having succeeded. Defaults to 3. Minimum value is 1.
                  "grpc": { # GRPCAction describes an action involving a GRPC port. # GRPCAction specifies an action involving a GRPC port.
                    "port": 42, # Port number of the gRPC service. Number must be in the range 1 to 65535.
                    "service": "A String", # Service is the name of the service to place in the gRPC HealthCheckRequest. If this is not specified, the default behavior is defined by gRPC.
                  },
                  "httpGet": { # HTTPGetAction describes an action based on HTTP Get requests. # HTTPGet specifies the http request to perform.
                    "host": "A String", # Not supported by Cloud Run.
                    "httpHeaders": [ # Custom headers to set in the request. HTTP allows repeated headers.
                      { # HTTPHeader describes a custom header to be used in HTTP probes
                        "name": "A String", # Required. The header field name
                        "value": "A String", # The header field value
                      },
                    ],
                    "path": "A String", # Path to access on the HTTP server.
                    "port": 42, # Port number to access on the container. Number must be in the range 1 to 65535.
                    "scheme": "A String", # Not supported by Cloud Run.
                  },
                  "initialDelaySeconds": 42, # Number of seconds after the container has started before the probe is initiated. Defaults to 0 seconds. Minimum value is 0. Maximum value for liveness probe is 3600. Maximum value for startup probe is 240.
                  "periodSeconds": 42, # How often (in seconds) to perform the probe. Default to 10 seconds. Minimum value is 1. Maximum value for liveness probe is 3600. Maximum value for startup probe is 240. Must be greater or equal than timeout_seconds.
                  "successThreshold": 42, # Minimum consecutive successes for the probe to be considered successful after having failed. Must be 1 if set.
                  "tcpSocket": { # TCPSocketAction describes an action based on opening a socket # TCPSocket specifies an action involving a TCP port.
                    "host": "A String", # Not supported by Cloud Run.
                    "port": 42, # Port number to access on the container. Number must be in the range 1 to 65535.
                  },
                  "timeoutSeconds": 42, # Number of seconds after which the probe times out. Defaults to 1 second. Minimum value is 1. Maximum value is 3600. Must be smaller than period_seconds; if period_seconds is not set, must be less or equal than 10.
                },
                "resources": { # ResourceRequirements describes the compute resource requirements. # Compute Resources required by this container.
                  "limits": { # Limits describes the maximum amount of compute resources allowed. Only 'cpu', 'memory' and 'nvidia.com/gpu' keys are supported. * For supported 'cpu' values, go to https://cloud.google.com/run/docs/configuring/cpu. * For supported 'memory' values and syntax, go to https://cloud.google.com/run/docs/configuring/memory-limits. * The only supported 'nvidia.com/gpu' value is '1'.
                    "a_key": "A String",
                  },
                  "requests": { # Requests describes the minimum amount of compute resources required. Only `cpu` and `memory` are supported. If Requests is omitted for a container, it defaults to Limits if that is explicitly specified, otherwise to an implementation-defined value. * For supported 'cpu' values, go to https://cloud.google.com/run/docs/configuring/cpu. * For supported 'memory' values and syntax, go to https://cloud.google.com/run/docs/configuring/memory-limits
                    "a_key": "A String",
                  },
                },
                "securityContext": { # Not supported by Cloud Run. SecurityContext holds security configuration that will be applied to a container. Some fields are present in both SecurityContext and PodSecurityContext. When both are set, the values in SecurityContext take precedence. # Not supported by Cloud Run.
                  "runAsUser": 42, # The UID to run the entrypoint of the container process. Defaults to user specified in image metadata if unspecified. May also be set in PodSecurityContext. If set in both SecurityContext and PodSecurityContext, the value specified in SecurityContext takes precedence.
                },
                "startupProbe": { # Probe describes a health check to be performed against a container to determine whether it is alive or ready to receive traffic. # Startup probe of application within the container. All other probes are disabled if a startup probe is provided, until it succeeds. Container will not receive traffic if the probe fails. If not provided, a default startup probe with TCP socket action is used.
                  "exec": { # Not supported by Cloud Run. ExecAction describes a "run in container" action. # Not supported by Cloud Run.
                    "command": [ # Command is the command line to execute inside the container, the working directory for the command is root ('/') in the container's filesystem. The command is simply exec'd, it is not run inside a shell, so traditional shell instructions ('|', etc) won't work. To use a shell, you need to explicitly call out to that shell. Exit status of 0 is treated as live/healthy and non-zero is unhealthy.
                      "A String",
                    ],
                  },
                  "failureThreshold": 42, # Minimum consecutive failures for the probe to be considered failed after having succeeded. Defaults to 3. Minimum value is 1.
                  "grpc": { # GRPCAction describes an action involving a GRPC port. # GRPCAction specifies an action involving a GRPC port.
                    "port": 42, # Port number of the gRPC service. Number must be in the range 1 to 65535.
                    "service": "A String", # Service is the name of the service to place in the gRPC HealthCheckRequest. If this is not specified, the default behavior is defined by gRPC.
                  },
                  "httpGet": { # HTTPGetAction describes an action based on HTTP Get requests. # HTTPGet specifies the http request to perform.
                    "host": "A String", # Not supported by Cloud Run.
                    "httpHeaders": [ # Custom headers to set in the request. HTTP allows repeated headers.
                      { # HTTPHeader describes a custom header to be used in HTTP probes
                        "name": "A String", # Required. The header field name
                        "value": "A String", # The header field value
                      },
                    ],
                    "path": "A String", # Path to access on the HTTP server.
                    "port": 42, # Port number to access on the container. Number must be in the range 1 to 65535.
                    "scheme": "A String", # Not supported by Cloud Run.
                  },
                  "initialDelaySeconds": 42, # Number of seconds after the container has started before the probe is initiated. Defaults to 0 seconds. Minimum value is 0. Maximum value for liveness probe is 3600. Maximum value for startup probe is 240.
                  "periodSeconds": 42, # How often (in seconds) to perform the probe. Default to 10 seconds. Minimum value is 1. Maximum value for liveness probe is 3600. Maximum value for startup probe is 240. Must be greater or equal than timeout_seconds.
                  "successThreshold": 42, # Minimum consecutive successes for the probe to be considered successful after having failed. Must be 1 if set.
                  "tcpSocket": { # TCPSocketAction describes an action based on opening a socket # TCPSocket specifies an action involving a TCP port.
                    "host": "A String", # Not supported by Cloud Run.
                    "port": 42, # Port number to access on the container. Number must be in the range 1 to 65535.
                  },
                  "timeoutSeconds": 42, # Number of seconds after which the probe times out. Defaults to 1 second. Minimum value is 1. Maximum value is 3600. Must be smaller than period_seconds; if period_seconds is not set, must be less or equal than 10.
                },
                "terminationMessagePath": "A String", # Path at which the file to which the container's termination message will be written is mounted into the container's filesystem. Message written is intended to be brief final status, such as an assertion failure message. Will be truncated by the node if greater than 4096 bytes. The total message length across all containers will be limited to 12kb. Defaults to /dev/termination-log.
                "terminationMessagePolicy": "A String", # Indicate how the termination message should be populated. File will use the contents of terminationMessagePath to populate the container status message on both success and failure. FallbackToLogsOnError will use the last chunk of container log output if the termination message file is empty and the container exited with an error. The log output is limited to 2048 bytes or 80 lines, whichever is smaller. Defaults to File. Cannot be updated.
                "volumeMounts": [ # Volume to mount into the container's filesystem. Only supports SecretVolumeSources. Pod volumes to mount into the container's filesystem.
                  { # VolumeMount describes a mounting of a Volume within a container.
                    "mountPath": "A String", # Required. Path within the container at which the volume should be mounted. Must not contain ':'.
                    "name": "A String", # Required. The name of the volume. There must be a corresponding Volume with the same name.
                    "readOnly": True or False, # Sets the mount to be read-only or read-write. Not used by Cloud Run.
                    "subPath": "A String", # Path within the volume from which the container's volume should be mounted. Defaults to "" (volume's root). This field is currently ignored for Secret volumes.
                  },
                ],
                "workingDir": "A String", # Container's working directory. If not specified, the container runtime's default will be used, which might be configured in the container image.
              },
            ],
            "enableServiceLinks": True or False, # Not supported by Cloud Run.
            "imagePullSecrets": [ # Not supported by Cloud Run.
              { # Not supported by Cloud Run. LocalObjectReference contains enough information to let you locate the referenced object inside the same namespace.
                "name": "A String", # Name of the referent.
              },
            ],
            "nodeSelector": { # Optional. The Node Selector configuration. Map of selector key to a value which matches a node.
              "a_key": "A String",
            },
            "runtimeClassName": "A String", # Optional. Runtime. Leave unset for default.
            "serviceAccountName": "A String", # Email address of the IAM service account associated with the revision of the service. The service account represents the identity of the running revision, and determines what permissions the revision has. If not provided, the revision will use the project's default service account.
            "timeoutSeconds": 42, # Optional. TimeoutSeconds holds the max duration the instance is allowed for responding to a request. Cloud Run: defaults to 300 seconds (5 minutes). Maximum allowed value is 3600 seconds (1 hour).
            "volumes": [
              { # Volume represents a named volume in a container.
                "configMap": { # Not supported by Cloud Run. Adapts a ConfigMap into a volume. The contents of the target ConfigMap's Data field will be presented in a volume as files using the keys in the Data field as the file names, unless the items element is populated with specific mappings of keys to paths. # Not supported in Cloud Run.
                  "defaultMode": 42, # (Optional) Integer representation of mode bits to use on created files by default. Must be a value between 01 and 0777 (octal). If 0 or not set, it will default to 0644. Directories within the path are not affected by this setting. Notes * Internally, a umask of 0222 will be applied to any non-zero value. * This is an integer representation of the mode bits. So, the octal integer value should look exactly as the chmod numeric notation with a leading zero. Some examples: for chmod 777 (a=rwx), set to 0777 (octal) or 511 (base-10). For chmod 640 (u=rw,g=r), set to 0640 (octal) or 416 (base-10). For chmod 755 (u=rwx,g=rx,o=rx), set to 0755 (octal) or 493 (base-10). * This might be in conflict with other options that affect the file mode, like fsGroup, and the result can be other mode bits set.
                  "items": [ # (Optional) If unspecified, each key-value pair in the Data field of the referenced Secret will be projected into the volume as a file whose name is the key and content is the value. If specified, the listed keys will be projected into the specified paths, and unlisted keys will not be present. If a key is specified that is not present in the Secret, the volume setup will error unless it is marked optional.
                    { # Maps a string key to a path within a volume.
                      "key": "A String", # The Cloud Secret Manager secret version. Can be 'latest' for the latest value, or an integer or a secret alias for a specific version. The key to project.
                      "mode": 42, # (Optional) Mode bits to use on this file, must be a value between 01 and 0777 (octal). If 0 or not set, the Volume's default mode will be used. Notes * Internally, a umask of 0222 will be applied to any non-zero value. * This is an integer representation of the mode bits. So, the octal integer value should look exactly as the chmod numeric notation with a leading zero. Some examples: for chmod 777 (a=rwx), set to 0777 (octal) or 511 (base-10). For chmod 640 (u=rw,g=r), set to 0640 (octal) or 416 (base-10). For chmod 755 (u=rwx,g=rx,o=rx), set to 0755 (octal) or 493 (base-10). * This might be in conflict with other options that affect the file mode, like fsGroup, and the result can be other mode bits set.
                      "path": "A String", # The relative path of the file to map the key to. May not be an absolute path. May not contain the path element '..'. May not start with the string '..'.
                    },
                  ],
                  "name": "A String", # Name of the config.
                  "optional": True or False, # (Optional) Specify whether the Secret or its keys must be defined.
                },
                "csi": { # Storage volume source using the Container Storage Interface. # Volume specified by the Container Storage Interface driver
                  "driver": "A String", # name of the CSI driver for the requested storage system. Cloud Run supports the following drivers: * gcsfuse.run.googleapis.com : Mount a Cloud Storage Bucket as a volume.
                  "readOnly": True or False, # If true, mount the volume as read only. Defaults to false.
                  "volumeAttributes": { # stores driver specific attributes. For Google Cloud Storage volumes, the following attributes are supported: * bucketName: the name of the Cloud Storage bucket to mount. The Cloud Run Service identity must have access to this bucket. * mountOptions: comma-separated list of mount options to pass to the gcsfuse.
                    "a_key": "A String",
                  },
                },
                "emptyDir": { # In memory (tmpfs) ephemeral storage. It is ephemeral in the sense that when the sandbox is taken down, the data is destroyed with it (it does not persist across sandbox runs). # Ephemeral storage used as a shared volume.
                  "medium": "A String", # The medium on which the data is stored. The default is "" which means to use the node's default medium. Must be an empty string (default) or Memory. More info: https://kubernetes.io/docs/concepts/storage/volumes#emptydir
                  "sizeLimit": "A String", # Limit on the storage usable by this EmptyDir volume. The size limit is also applicable for memory medium. The maximum usage on memory medium EmptyDir would be the minimum value between the SizeLimit specified here and the sum of memory limits of all containers. The default is nil which means that the limit is undefined. More info: https://cloud.google.com/run/docs/configuring/in-memory-volumes#configure-volume. Info in Kubernetes: https://kubernetes.io/docs/concepts/storage/volumes/#emptydir
                },
                "name": "A String", # Volume's name. In Cloud Run Fully Managed, the name 'cloudsql' is reserved.
                "nfs": { # Represents a persistent volume that will be mounted using NFS. This volume will be shared between all instances of the resource and data will not be deleted when the instance is shut down.
                  "path": "A String", # Path that is exported by the NFS server.
                  "readOnly": True or False, # If true, mount the NFS volume as read only. Defaults to false.
                  "server": "A String", # Hostname or IP address of the NFS server.
                },
                "secret": { # A volume representing a secret stored in Google Secret Manager. The secret's value will be presented as the content of a file whose name is defined in the item path. If no items are defined, the name of the file is the secret_name. The contents of the target Secret's Data field will be presented in a volume as files using the keys in the Data field as the file names. # The secret's value will be presented as the content of a file whose name is defined in the item path. If no items are defined, the name of the file is the secretName.
                  "defaultMode": 42, # Integer representation of mode bits to use on created files by default. Must be a value between 01 and 0777 (octal). If 0 or not set, it will default to 0444. Directories within the path are not affected by this setting. Notes * Internally, a umask of 0222 will be applied to any non-zero value. * This is an integer representation of the mode bits. So, the octal integer value should look exactly as the chmod numeric notation with a leading zero. Some examples: for chmod 777 (a=rwx), set to 0777 (octal) or 511 (base-10). For chmod 640 (u=rw,g=r), set to 0640 (octal) or 416 (base-10). For chmod 755 (u=rwx,g=rx,o=rx), set to 0755 (octal) or 493 (base-10). * This might be in conflict with other options that affect the file mode, like fsGroup, and the result can be other mode bits set.
                  "items": [ # A list of secret versions to mount in the volume. If no items are specified, the volume will expose a file with the same name as the secret name. The contents of the file will be the data in the latest version of the secret. If items are specified, the key will be used as the version to fetch from Cloud Secret Manager and the path will be the name of the file exposed in the volume. When items are defined, they must specify both a key and a path.
                    { # Maps a string key to a path within a volume.
                      "key": "A String", # The Cloud Secret Manager secret version. Can be 'latest' for the latest value, or an integer or a secret alias for a specific version. The key to project.
                      "mode": 42, # (Optional) Mode bits to use on this file, must be a value between 01 and 0777 (octal). If 0 or not set, the Volume's default mode will be used. Notes * Internally, a umask of 0222 will be applied to any non-zero value. * This is an integer representation of the mode bits. So, the octal integer value should look exactly as the chmod numeric notation with a leading zero. Some examples: for chmod 777 (a=rwx), set to 0777 (octal) or 511 (base-10). For chmod 640 (u=rw,g=r), set to 0640 (octal) or 416 (base-10). For chmod 755 (u=rwx,g=rx,o=rx), set to 0755 (octal) or 493 (base-10). * This might be in conflict with other options that affect the file mode, like fsGroup, and the result can be other mode bits set.
                      "path": "A String", # The relative path of the file to map the key to. May not be an absolute path. May not contain the path element '..'. May not start with the string '..'.
                    },
                  ],
                  "optional": True or False, # Not supported by Cloud Run.
                  "secretName": "A String", # The name of the secret in Cloud Secret Manager. By default, the secret is assumed to be in the same project. If the secret is in another project, you must define an alias. An alias definition has the form: :projects//secrets/. If multiple alias definitions are needed, they must be separated by commas. The alias definitions must be set on the run.googleapis.com/secrets annotation. Name of the secret in the container's namespace to use.
                },
              },
            ],
          },
        },
      },
      "status": { # ConfigurationStatus communicates the observed state of the Configuration (from the controller). # Status communicates the observed state of the Configuration (from the controller).
        "conditions": [ # Conditions communicate information about ongoing/complete reconciliation processes that bring the "spec" inline with the observed state of the world.
          { # Conditions show the status of reconciliation progress on a given resource. Most resource use a top-level condition type "Ready" or "Completed" to show overall status with other conditions to checkpoint each stage of reconciliation. Note that if metadata.Generation does not equal status.ObservedGeneration, the conditions shown may not be relevant for the current spec.
            "lastTransitionTime": "A String", # Optional. Last time the condition transitioned from one status to another.
            "message": "A String", # Optional. Human readable message indicating details about the current status.
            "reason": "A String", # Optional. One-word CamelCase reason for the condition's last transition. These are intended to be stable, unique values which the client may use to trigger error handling logic, whereas messages which may be changed later by the server.
            "severity": "A String", # Optional. How to interpret this condition. One of Error, Warning, or Info. Conditions of severity Info do not contribute to resource readiness.
            "status": "A String", # Status of the condition, one of True, False, Unknown.
            "type": "A String", # type is used to communicate the status of the reconciliation process. Types common to all resources include: * "Ready" or "Completed": True when the Resource is ready.
          },
        ],
        "latestCreatedRevisionName": "A String", # LatestCreatedRevisionName is the last revision that was created from this Configuration. It might not be ready yet, so for the latest ready revision, use LatestReadyRevisionName.
        "latestReadyRevisionName": "A String", # LatestReadyRevisionName holds the name of the latest Revision stamped out from this Configuration that has had its "Ready" condition become "True".
        "observedGeneration": 42, # ObservedGeneration is the 'Generation' of the Configuration that was last processed by the controller. The observed generation is updated even if the controller failed to process the spec and create the Revision. Clients polling for completed reconciliation should poll until observedGeneration = metadata.generation, and the Ready condition's status is True or False.
      },
    }

`list(parent, continue=None, fieldSelector=None, includeUninitialized=None, labelSelector=None, limit=None, resourceVersion=None, watch=None, x__xgafv=None)`

    List configurations. Results are sorted by creation time, descending.

    Args:
      parent: string, The namespace from which the configurations should be listed. For Cloud Run, replace {namespace_id} with the project ID or number. (required)
      continue: string, Optional. Encoded string to continue paging.
      fieldSelector: string, Not supported by Cloud Run.
      includeUninitialized: boolean, Not supported by Cloud Run.
      labelSelector: string, Allows to filter resources based on a label. Supported operations are =, !=, exists, in, and notIn.
      limit: integer, Optional. The maximum number of the records that should be returned.
      resourceVersion: string, Not supported by Cloud Run.
      watch: boolean, Not supported by Cloud Run.
      x__xgafv: string, V1 error format.
        Allowed values
          1 - v1 error format
          2 - v2 error format

    Returns:
      An object of the form:

        { # ListConfigurationsResponse is a list of Configuration resources.
      "apiVersion": "A String", # The API version for this call such as "serving.knative.dev/v1".
      "items": [ # List of Configurations.
        { # Configuration represents the "floating HEAD" of a linear history of Revisions, and optionally how the containers those revisions reference are built. Users create new Revisions by updating the Configuration's spec. The "latest created" revision's name is available under status, as is the "latest ready" revision's name.
          "apiVersion": "A String", # The API version for this call such as "serving.knative.dev/v1".
          "kind": "A String", # The kind of resource, in this case always "Configuration".
          "metadata": { # google.cloud.run.meta.v1.ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create. # Metadata associated with this Configuration, including name, namespace, labels, and annotations.
            "annotations": { # Unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects. In Cloud Run, annotations with 'run.googleapis.com/' and 'autoscaling.knative.dev' are restricted, and the accepted annotations will be different depending on the resource type. * `autoscaling.knative.dev/maxScale`: Revision. * `autoscaling.knative.dev/minScale`: Revision. * `run.googleapis.com/base-images`: Service, Revision. * `run.googleapis.com/binary-authorization-breakglass`: Service, Job, * `run.googleapis.com/binary-authorization`: Service, Job, Execution. * `run.googleapis.com/build-base-image`: Service. * `run.googleapis.com/build-enable-automatic-updates`: Service. * `run.googleapis.com/build-environment-variables`: Service. * `run.googleapis.com/build-function-target`: Service, Revision. * `run.googleapis.com/build-id`: Service, Revision. * `run.googleapis.com/build-image-uri`: Service. * `run.googleapis.com/build-name`: Service. * `run.googleapis.com/build-service-account`: Service. * `run.googleapis.com/build-source-location`: Service, Revision. * `run.googleapis.com/build-worker-pool`: Service. * `run.googleapis.com/client-name`: All resources. * `run.googleapis.com/cloudsql-instances`: Revision, Execution. * `run.googleapis.com/container-dependencies`: Revision . * `run.googleapis.com/cpu-throttling`: Revision. * `run.googleapis.com/custom-audiences`: Service. * `run.googleapis.com/default-url-disabled`: Service. * `run.googleapis.com/description`: Service. * `run.googleapis.com/encryption-key-shutdown-hours`: Revision * `run.googleapis.com/encryption-key`: Revision, Execution. * `run.googleapis.com/execution-environment`: Revision, Execution. * `run.googleapis.com/gc-traffic-tags`: Service. * `run.googleapis.com/gpu-zonal-redundancy-disabled`: Revision. * `run.googleapis.com/health-check-disabled`: Revision. * `run.googleapis.com/ingress`: Service, Instance. * `run.googleapis.com/invoker-iam-disabled`: Service, Instance. * `run.googleapis.com/launch-stage`: Service, Job. * `run.googleapis.com/minScale`: Service. * `run.googleapis.com/maxScale`: Service. * `run.googleapis.com/manualInstanceCount`: Service. * `run.googleapis.com/network-interfaces`: Revision, Execution. * `run.googleapis.com/post-key-revocation-action-type`: Revision. `run.googleapis.com/scalingMode`: Service. * `run.googleapis.com/secrets`: Revision, Execution. * `run.googleapis.com/secure-session-agent`: Revision. * `run.googleapis.com/sessionAffinity`: Revision. * `run.googleapis.com/startup-cpu-boost`: Revision. * `run.googleapis.com/vpc-access-connector`: Revision, Execution. * `run.googleapis.com/vpc-access-egress`: Revision, Execution.
              "a_key": "A String",
            },
            "clusterName": "A String", # Not supported by Cloud Run
            "creationTimestamp": "A String", # UTC timestamp representing the server time when this object was created.
            "deletionGracePeriodSeconds": 42, # Not supported by Cloud Run
            "deletionTimestamp": "A String", # The read-only soft deletion timestamp for this resource. In Cloud Run, users are not able to set this field. Instead, they must call the corresponding Delete API.
            "finalizers": [ # Not supported by Cloud Run
              "A String",
            ],
            "generateName": "A String", # Optional. A prefix for the resource name if not provided in the create request. Must be less than 31 characters to allow for a random suffix.
            "generation": 42, # A system-provided sequence number representing a specific generation of the desired state.
            "labels": { # Map of string keys and values that can be used to organize and categorize (scope and select) objects. May match selectors of replication controllers and routes.
              "a_key": "A String",
            },
            "name": "A String", # Optional. The name of the resource. A name for creating top-level resources (Service, Job, WorkerPool). Must be unique within a Cloud Run project/region, and cannot be changed once created. If omitted, a default name will be generated.
            "namespace": "A String", # Required. Defines the space within each name must be unique within a Cloud Run region. In Cloud Run, it must be project ID or number.
            "ownerReferences": [ # Not supported by Cloud Run
              { # This is not supported or used by Cloud Run.
                "apiVersion": "A String", # This is not supported or used by Cloud Run.
                "blockOwnerDeletion": True or False, # This is not supported or used by Cloud Run.
                "controller": True or False, # This is not supported or used by Cloud Run.
                "kind": "A String", # This is not supported or used by Cloud Run.
                "name": "A String", # This is not supported or used by Cloud Run.
                "uid": "A String", # This is not supported or used by Cloud Run.
              },
            ],
            "resourceVersion": "A String", # Opaque, system-generated value that represents the internal version of this object that can be used by clients to determine when objects have changed. May be used for optimistic concurrency, change detection, and the watch operation on a resource or set of resources. Clients must treat these values as opaque and passed unmodified back to the server or omit the value to disable conflict-detection.
            "selfLink": "A String", # URL representing this object.
            "uid": "A String", # Unique, system-generated identifier for this resource.
          },
          "spec": { # ConfigurationSpec holds the desired state of the Configuration (from the client). # Spec holds the desired state of the Configuration (from the client).
            "template": { # RevisionTemplateSpec describes the data a revision should have when created from a template. # Template holds the latest specification for the Revision to be stamped out.
              "metadata": { # google.cloud.run.meta.v1.ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create. # Optional metadata for this Revision, including labels and annotations. Name will be generated by the Configuration. The following annotation keys set properties of the created revision: * `autoscaling.knative.dev/minScale` sets the minimum number of instances. * `autoscaling.knative.dev/maxScale` sets the maximum number of instances. * `run.googleapis.com/cloudsql-instances` sets Cloud SQL connections. Multiple values should be comma separated. * `run.googleapis.com/health-check-disabled`: if true, deploy-time startup probes will not run for this revision. * `run.googleapis.com/vpc-access-connector` sets a Serverless VPC Access connector. * `run.googleapis.com/vpc-access-egress` sets VPC egress. Supported values are `all-traffic`, `all` (deprecated), and `private-ranges-only`. `all-traffic` and `all` provide the same functionality. `all` is deprecated but will continue to be supported. Prefer `all-traffic`.
                "annotations": { # Unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects. In Cloud Run, annotations with 'run.googleapis.com/' and 'autoscaling.knative.dev' are restricted, and the accepted annotations will be different depending on the resource type. * `autoscaling.knative.dev/maxScale`: Revision. * `autoscaling.knative.dev/minScale`: Revision. * `run.googleapis.com/base-images`: Service, Revision. * `run.googleapis.com/binary-authorization-breakglass`: Service, Job, * `run.googleapis.com/binary-authorization`: Service, Job, Execution. * `run.googleapis.com/build-base-image`: Service. * `run.googleapis.com/build-enable-automatic-updates`: Service. * `run.googleapis.com/build-environment-variables`: Service. * `run.googleapis.com/build-function-target`: Service, Revision. * `run.googleapis.com/build-id`: Service, Revision. * `run.googleapis.com/build-image-uri`: Service. * `run.googleapis.com/build-name`: Service. * `run.googleapis.com/build-service-account`: Service. * `run.googleapis.com/build-source-location`: Service, Revision. * `run.googleapis.com/build-worker-pool`: Service. * `run.googleapis.com/client-name`: All resources. * `run.googleapis.com/cloudsql-instances`: Revision, Execution. * `run.googleapis.com/container-dependencies`: Revision . * `run.googleapis.com/cpu-throttling`: Revision. * `run.googleapis.com/custom-audiences`: Service. * `run.googleapis.com/default-url-disabled`: Service. * `run.googleapis.com/description`: Service. * `run.googleapis.com/encryption-key-shutdown-hours`: Revision * `run.googleapis.com/encryption-key`: Revision, Execution. * `run.googleapis.com/execution-environment`: Revision, Execution. * `run.googleapis.com/gc-traffic-tags`: Service. * `run.googleapis.com/gpu-zonal-redundancy-disabled`: Revision. * `run.googleapis.com/health-check-disabled`: Revision. * `run.googleapis.com/ingress`: Service, Instance. * `run.googleapis.com/invoker-iam-disabled`: Service, Instance. * `run.googleapis.com/launch-stage`: Service, Job. * `run.googleapis.com/minScale`: Service. * `run.googleapis.com/maxScale`: Service. * `run.googleapis.com/manualInstanceCount`: Service. * `run.googleapis.com/network-interfaces`: Revision, Execution. * `run.googleapis.com/post-key-revocation-action-type`: Revision. `run.googleapis.com/scalingMode`: Service. * `run.googleapis.com/secrets`: Revision, Execution. * `run.googleapis.com/secure-session-agent`: Revision. * `run.googleapis.com/sessionAffinity`: Revision. * `run.googleapis.com/startup-cpu-boost`: Revision. * `run.googleapis.com/vpc-access-connector`: Revision, Execution. * `run.googleapis.com/vpc-access-egress`: Revision, Execution.
                  "a_key": "A String",
                },
                "clusterName": "A String", # Not supported by Cloud Run
                "creationTimestamp": "A String", # UTC timestamp representing the server time when this object was created.
                "deletionGracePeriodSeconds": 42, # Not supported by Cloud Run
                "deletionTimestamp": "A String", # The read-only soft deletion timestamp for this resource. In Cloud Run, users are not able to set this field. Instead, they must call the corresponding Delete API.
                "finalizers": [ # Not supported by Cloud Run
                  "A String",
                ],
                "generateName": "A String", # Optional. A prefix for the resource name if not provided in the create request. Must be less than 31 characters to allow for a random suffix.
                "generation": 42, # A system-provided sequence number representing a specific generation of the desired state.
                "labels": { # Map of string keys and values that can be used to organize and categorize (scope and select) objects. May match selectors of replication controllers and routes.
                  "a_key": "A String",
                },
                "name": "A String", # Optional. The name of the resource. A name for creating top-level resources (Service, Job, WorkerPool). Must be unique within a Cloud Run project/region, and cannot be changed once created. If omitted, a default name will be generated.
                "namespace": "A String", # Required. Defines the space within each name must be unique within a Cloud Run region. In Cloud Run, it must be project ID or number.
                "ownerReferences": [ # Not supported by Cloud Run
                  { # This is not supported or used by Cloud Run.
                    "apiVersion": "A String", # This is not supported or used by Cloud Run.
                    "blockOwnerDeletion": True or False, # This is not supported or used by Cloud Run.
                    "controller": True or False, # This is not supported or used by Cloud Run.
                    "kind": "A String", # This is not supported or used by Cloud Run.
                    "name": "A String", # This is not supported or used by Cloud Run.
                    "uid": "A String", # This is not supported or used by Cloud Run.
                  },
                ],
                "resourceVersion": "A String", # Opaque, system-generated value that represents the internal version of this object that can be used by clients to determine when objects have changed. May be used for optimistic concurrency, change detection, and the watch operation on a resource or set of resources. Clients must treat these values as opaque and passed unmodified back to the server or omit the value to disable conflict-detection.
                "selfLink": "A String", # URL representing this object.
                "uid": "A String", # Unique, system-generated identifier for this resource.
              },
              "spec": { # RevisionSpec holds the desired state of the Revision (from the client). # RevisionSpec holds the desired state of the Revision (from the client).
                "containerConcurrency": 42, # ContainerConcurrency specifies the maximum allowed in-flight (concurrent) requests per container instance of the Revision. If not specified or 0, defaults to 80 when requested CPU >= 1 and defaults to 1 when requested CPU < 1.
                "containers": [ # Required. Containers holds the list which define the units of execution for this Revision.
                  { # A single application container. This specifies both the container to run, the command to run in the container and the arguments to supply to it. Note that additional arguments may be supplied by the system to the container at runtime.
                    "args": [ # Arguments to the entrypoint. The docker image's CMD is used if this is not provided. Variable references are not supported in Cloud Run.
                      "A String",
                    ],
                    "command": [ # Entrypoint array. Not executed within a shell. The docker image's ENTRYPOINT is used if this is not provided. Variable references are not supported in Cloud Run.
                      "A String",
                    ],
                    "env": [ # List of environment variables to set in the container. EnvVar with duplicate names are generally allowed; if referencing a secret, the name must be unique for the container. For non-secret EnvVar names, the Container will only get the last-declared one.
                      { # EnvVar represents an environment variable present in a Container.
                        "name": "A String", # Required. Name of the environment variable.
                        "value": "A String", # Value of the environment variable. Defaults to "". Variable references are not supported in Cloud Run.
                        "valueFrom": { # EnvVarSource represents a source for the value of an EnvVar. # Source for the environment variable's value. Only supports secret_key_ref. Cannot be used if value is not empty.
                          "configMapKeyRef": { # Not supported by Cloud Run. # Not supported by Cloud Run. Not supported in Cloud Run.
                            "key": "A String", # Required. Not supported by Cloud Run.
                            "localObjectReference": { # Not supported by Cloud Run. LocalObjectReference contains enough information to let you locate the referenced object inside the same namespace. # Not supported by Cloud Run.
                              "name": "A String", # Name of the referent.
                            },
                            "name": "A String", # Required. Not supported by Cloud Run.
                            "optional": True or False, # Not supported by Cloud Run.
                          },
                          "secretKeyRef": { # SecretKeySelector selects a key of a Secret. # Selects a key (version) of a secret in Secret Manager.
                            "key": "A String", # Required. A Cloud Secret Manager secret version. Must be 'latest' for the latest version, an integer for a specific version, or a version alias. The key of the secret to select from. Must be a valid secret key.
                            "localObjectReference": { # Not supported by Cloud Run. LocalObjectReference contains enough information to let you locate the referenced object inside the same namespace. # This field should not be used directly as it is meant to be inlined directly into the message. Use the "name" field instead.
                              "name": "A String", # Name of the referent.
                            },
                            "name": "A String", # The name of the secret in Cloud Secret Manager. By default, the secret is assumed to be in the same project. If the secret is in another project, you must define an alias. An alias definition has the form: :projects//secrets/. If multiple alias definitions are needed, they must be separated by commas. The alias definitions must be set on the run.googleapis.com/secrets annotation. The name of the secret in the pod's namespace to select from.
                            "optional": True or False, # Specify whether the Secret or its key must be defined.
                          },
                        },
                      },
                    ],
                    "envFrom": [ # Not supported by Cloud Run.
                      { # Not supported by Cloud Run. EnvFromSource represents the source of a set of ConfigMaps
                        "configMapRef": { # Not supported by Cloud Run. ConfigMapEnvSource selects a ConfigMap to populate the environment variables with. The contents of the target ConfigMap's Data field will represent the key-value pairs as environment variables. # The ConfigMap to select from
                          "localObjectReference": { # Not supported by Cloud Run. LocalObjectReference contains enough information to let you locate the referenced object inside the same namespace. # This field should not be used directly as it is meant to be inlined directly into the message. Use the "name" field instead.
                            "name": "A String", # Name of the referent.
                          },
                          "name": "A String", # The ConfigMap to select from.
                          "optional": True or False, # Specify whether the ConfigMap must be defined.
                        },
                        "prefix": "A String", # An optional identifier to prepend to each key in the ConfigMap. Must be a C_IDENTIFIER.
                        "secretRef": { # Not supported by Cloud Run. SecretEnvSource selects a Secret to populate the environment variables with. The contents of the target Secret's Data field will represent the key-value pairs as environment variables. # The Secret to select from
                          "localObjectReference": { # Not supported by Cloud Run. LocalObjectReference contains enough information to let you locate the referenced object inside the same namespace. # This field should not be used directly as it is meant to be inlined directly into the message. Use the "name" field instead.
                            "name": "A String", # Name of the referent.
                          },
                          "name": "A String", # The Secret to select from.
                          "optional": True or False, # Specify whether the Secret must be defined
                        },
                      },
                    ],
                    "image": "A String", # Required. Name of the container image in Dockerhub, Google Artifact Registry, or Google Container Registry. If the host is not provided, Dockerhub is assumed.
                    "imagePullPolicy": "A String", # Image pull policy. One of Always, Never, IfNotPresent. Defaults to Always if :latest tag is specified, or IfNotPresent otherwise.
                    "livenessProbe": { # Probe describes a health check to be performed against a container to determine whether it is alive or ready to receive traffic. # Periodic probe of container liveness. Container will be restarted if the probe fails.
                      "exec": { # Not supported by Cloud Run. ExecAction describes a "run in container" action. # Not supported by Cloud Run.
                        "command": [ # Command is the command line to execute inside the container, the working directory for the command is root ('/') in the container's filesystem. The command is simply exec'd, it is not run inside a shell, so traditional shell instructions ('|', etc) won't work. To use a shell, you need to explicitly call out to that shell. Exit status of 0 is treated as live/healthy and non-zero is unhealthy.
                          "A String",
                        ],
                      },
                      "failureThreshold": 42, # Minimum consecutive failures for the probe to be considered failed after having succeeded. Defaults to 3. Minimum value is 1.
                      "grpc": { # GRPCAction describes an action involving a GRPC port. # GRPCAction specifies an action involving a GRPC port.
                        "port": 42, # Port number of the gRPC service. Number must be in the range 1 to 65535.
                        "service": "A String", # Service is the name of the service to place in the gRPC HealthCheckRequest. If this is not specified, the default behavior is defined by gRPC.
                      },
                      "httpGet": { # HTTPGetAction describes an action based on HTTP Get requests. # HTTPGet specifies the http request to perform.
                        "host": "A String", # Not supported by Cloud Run.
                        "httpHeaders": [ # Custom headers to set in the request. HTTP allows repeated headers.
                          { # HTTPHeader describes a custom header to be used in HTTP probes
                            "name": "A String", # Required. The header field name
                            "value": "A String", # The header field value
                          },
                        ],
                        "path": "A String", # Path to access on the HTTP server.
                        "port": 42, # Port number to access on the container. Number must be in the range 1 to 65535.
                        "scheme": "A String", # Not supported by Cloud Run.
                      },
                      "initialDelaySeconds": 42, # Number of seconds after the container has started before the probe is initiated. Defaults to 0 seconds. Minimum value is 0. Maximum value for liveness probe is 3600. Maximum value for startup probe is 240.
                      "periodSeconds": 42, # How often (in seconds) to perform the probe. Default to 10 seconds. Minimum value is 1. Maximum value for liveness probe is 3600. Maximum value for startup probe is 240. Must be greater or equal than timeout_seconds.
                      "successThreshold": 42, # Minimum consecutive successes for the probe to be considered successful after having failed. Must be 1 if set.
                      "tcpSocket": { # TCPSocketAction describes an action based on opening a socket # TCPSocket specifies an action involving a TCP port.
                        "host": "A String", # Not supported by Cloud Run.
                        "port": 42, # Port number to access on the container. Number must be in the range 1 to 65535.
                      },
                      "timeoutSeconds": 42, # Number of seconds after which the probe times out. Defaults to 1 second. Minimum value is 1. Maximum value is 3600. Must be smaller than period_seconds; if period_seconds is not set, must be less or equal than 10.
                    },
                    "name": "A String", # Name of the container specified as a DNS_LABEL (RFC 1123).
                    "ports": [ # List of ports to expose from the container. Only a single port can be specified. The specified ports must be listening on all interfaces (0.0.0.0) within the container to be accessible. If omitted, a port number will be chosen and passed to the container through the PORT environment variable for the container to listen on.
                      { # ContainerPort represents a network port in a single container.
                        "containerPort": 42, # Port number the container listens on. If present, this must be a valid port number, 0 < x < 65536. If not present, it will default to port 8080. For more information, see https://cloud.google.com/run/docs/container-contract#port
                        "name": "A String", # If specified, used to specify which protocol to use. Allowed values are "http1" and "h2c".
                        "protocol": "A String", # Protocol for port. Must be "TCP". Defaults to "TCP".
                      },
                    ],
                    "readinessProbe": { # Probe describes a health check to be performed against a container to determine whether it is alive or ready to receive traffic. # Readiness probe to be used for health checks.
                      "exec": { # Not supported by Cloud Run. ExecAction describes a "run in container" action. # Not supported by Cloud Run.
                        "command": [ # Command is the command line to execute inside the container, the working directory for the command is root ('/') in the container's filesystem. The command is simply exec'd, it is not run inside a shell, so traditional shell instructions ('|', etc) won't work. To use a shell, you need to explicitly call out to that shell. Exit status of 0 is treated as live/healthy and non-zero is unhealthy.
                          "A String",
                        ],
                      },
                      "failureThreshold": 42, # Minimum consecutive failures for the probe to be considered failed after having succeeded. Defaults to 3. Minimum value is 1.
                      "grpc": { # GRPCAction describes an action involving a GRPC port. # GRPCAction specifies an action involving a GRPC port.
                        "port": 42, # Port number of the gRPC service. Number must be in the range 1 to 65535.
                        "service": "A String", # Service is the name of the service to place in the gRPC HealthCheckRequest. If this is not specified, the default behavior is defined by gRPC.
                      },
                      "httpGet": { # HTTPGetAction describes an action based on HTTP Get requests. # HTTPGet specifies the http request to perform.
                        "host": "A String", # Not supported by Cloud Run.
                        "httpHeaders": [ # Custom headers to set in the request. HTTP allows repeated headers.
                          { # HTTPHeader describes a custom header to be used in HTTP probes
                            "name": "A String", # Required. The header field name
                            "value": "A String", # The header field value
                          },
                        ],
                        "path": "A String", # Path to access on the HTTP server.
                        "port": 42, # Port number to access on the container. Number must be in the range 1 to 65535.
                        "scheme": "A String", # Not supported by Cloud Run.
                      },
                      "initialDelaySeconds": 42, # Number of seconds after the container has started before the probe is initiated. Defaults to 0 seconds. Minimum value is 0. Maximum value for liveness probe is 3600. Maximum value for startup probe is 240.
                      "periodSeconds": 42, # How often (in seconds) to perform the probe. Default to 10 seconds. Minimum value is 1. Maximum value for liveness probe is 3600. Maximum value for startup probe is 240. Must be greater or equal than timeout_seconds.
                      "successThreshold": 42, # Minimum consecutive successes for the probe to be considered successful after having failed. Must be 1 if set.
                      "tcpSocket": { # TCPSocketAction describes an action based on opening a socket # TCPSocket specifies an action involving a TCP port.
                        "host": "A String", # Not supported by Cloud Run.
                        "port": 42, # Port number to access on the container. Number must be in the range 1 to 65535.
                      },
                      "timeoutSeconds": 42, # Number of seconds after which the probe times out. Defaults to 1 second. Minimum value is 1. Maximum value is 3600. Must be smaller than period_seconds; if period_seconds is not set, must be less or equal than 10.
                    },
                    "resources": { # ResourceRequirements describes the compute resource requirements. # Compute Resources required by this container.
                      "limits": { # Limits describes the maximum amount of compute resources allowed. Only 'cpu', 'memory' and 'nvidia.com/gpu' keys are supported. * For supported 'cpu' values, go to https://cloud.google.com/run/docs/configuring/cpu. * For supported 'memory' values and syntax, go to https://cloud.google.com/run/docs/configuring/memory-limits. * The only supported 'nvidia.com/gpu' value is '1'.
                        "a_key": "A String",
                      },
                      "requests": { # Requests describes the minimum amount of compute resources required. Only `cpu` and `memory` are supported. If Requests is omitted for a container, it defaults to Limits if that is explicitly specified, otherwise to an implementation-defined value. * For supported 'cpu' values, go to https://cloud.google.com/run/docs/configuring/cpu. * For supported 'memory' values and syntax, go to https://cloud.google.com/run/docs/configuring/memory-limits
                        "a_key": "A String",
                      },
                    },
                    "securityContext": { # Not supported by Cloud Run. SecurityContext holds security configuration that will be applied to a container. Some fields are present in both SecurityContext and PodSecurityContext. When both are set, the values in SecurityContext take precedence. # Not supported by Cloud Run.
                      "runAsUser": 42, # The UID to run the entrypoint of the container process. Defaults to user specified in image metadata if unspecified. May also be set in PodSecurityContext. If set in both SecurityContext and PodSecurityContext, the value specified in SecurityContext takes precedence.
                    },
                    "startupProbe": { # Probe describes a health check to be performed against a container to determine whether it is alive or ready to receive traffic. # Startup probe of application within the container. All other probes are disabled if a startup probe is provided, until it succeeds. Container will not receive traffic if the probe fails. If not provided, a default startup probe with TCP socket action is used.
                      "exec": { # Not supported by Cloud Run. ExecAction describes a "run in container" action. # Not supported by Cloud Run.
                        "command": [ # Command is the command line to execute inside the container, the working directory for the command is root ('/') in the container's filesystem. The command is simply exec'd, it is not run inside a shell, so traditional shell instructions ('|', etc) won't work. To use a shell, you need to explicitly call out to that shell. Exit status of 0 is treated as live/healthy and non-zero is unhealthy.
                          "A String",
                        ],
                      },
                      "failureThreshold": 42, # Minimum consecutive failures for the probe to be considered failed after having succeeded. Defaults to 3. Minimum value is 1.
                      "grpc": { # GRPCAction describes an action involving a GRPC port. # GRPCAction specifies an action involving a GRPC port.
                        "port": 42, # Port number of the gRPC service. Number must be in the range 1 to 65535.
                        "service": "A String", # Service is the name of the service to place in the gRPC HealthCheckRequest. If this is not specified, the default behavior is defined by gRPC.
                      },
                      "httpGet": { # HTTPGetAction describes an action based on HTTP Get requests. # HTTPGet specifies the http request to perform.
                        "host": "A String", # Not supported by Cloud Run.
                        "httpHeaders": [ # Custom headers to set in the request. HTTP allows repeated headers.
                          { # HTTPHeader describes a custom header to be used in HTTP probes
                            "name": "A String", # Required. The header field name
                            "value": "A String", # The header field value
                          },
                        ],
                        "path": "A String", # Path to access on the HTTP server.
                        "port": 42, # Port number to access on the container. Number must be in the range 1 to 65535.
                        "scheme": "A String", # Not supported by Cloud Run.
                      },
                      "initialDelaySeconds": 42, # Number of seconds after the container has started before the probe is initiated. Defaults to 0 seconds. Minimum value is 0. Maximum value for liveness probe is 3600. Maximum value for startup probe is 240.
                      "periodSeconds": 42, # How often (in seconds) to perform the probe. Default to 10 seconds. Minimum value is 1. Maximum value for liveness probe is 3600. Maximum value for startup probe is 240. Must be greater or equal than timeout_seconds.
                      "successThreshold": 42, # Minimum consecutive successes for the probe to be considered successful after having failed. Must be 1 if set.
                      "tcpSocket": { # TCPSocketAction describes an action based on opening a socket # TCPSocket specifies an action involving a TCP port.
                        "host": "A String", # Not supported by Cloud Run.
                        "port": 42, # Port number to access on the container. Number must be in the range 1 to 65535.
                      },
                      "timeoutSeconds": 42, # Number of seconds after which the probe times out. Defaults to 1 second. Minimum value is 1. Maximum value is 3600. Must be smaller than period_seconds; if period_seconds is not set, must be less or equal than 10.
                    },
                    "terminationMessagePath": "A String", # Path at which the file to which the container's termination message will be written is mounted into the container's filesystem. Message written is intended to be brief final status, such as an assertion failure message. Will be truncated by the node if greater than 4096 bytes. The total message length across all containers will be limited to 12kb. Defaults to /dev/termination-log.
                    "terminationMessagePolicy": "A String", # Indicate how the termination message should be populated. File will use the contents of terminationMessagePath to populate the container status message on both success and failure. FallbackToLogsOnError will use the last chunk of container log output if the termination message file is empty and the container exited with an error. The log output is limited to 2048 bytes or 80 lines, whichever is smaller. Defaults to File. Cannot be updated.
                    "volumeMounts": [ # Volume to mount into the container's filesystem. Only supports SecretVolumeSources. Pod volumes to mount into the container's filesystem.
                      { # VolumeMount describes a mounting of a Volume within a container.
                        "mountPath": "A String", # Required. Path within the container at which the volume should be mounted. Must not contain ':'.
                        "name": "A String", # Required. The name of the volume. There must be a corresponding Volume with the same name.
                        "readOnly": True or False, # Sets the mount to be read-only or read-write. Not used by Cloud Run.
                        "subPath": "A String", # Path within the volume from which the container's volume should be mounted. Defaults to "" (volume's root). This field is currently ignored for Secret volumes.
                      },
                    ],
                    "workingDir": "A String", # Container's working directory. If not specified, the container runtime's default will be used, which might be configured in the container image.
                  },
                ],
                "enableServiceLinks": True or False, # Not supported by Cloud Run.
                "imagePullSecrets": [ # Not supported by Cloud Run.
                  { # Not supported by Cloud Run. LocalObjectReference contains enough information to let you locate the referenced object inside the same namespace.
                    "name": "A String", # Name of the referent.
                  },
                ],
                "nodeSelector": { # Optional. The Node Selector configuration. Map of selector key to a value which matches a node.
                  "a_key": "A String",
                },
                "runtimeClassName": "A String", # Optional. Runtime. Leave unset for default.
                "serviceAccountName": "A String", # Email address of the IAM service account associated with the revision of the service. The service account represents the identity of the running revision, and determines what permissions the revision has. If not provided, the revision will use the project's default service account.
                "timeoutSeconds": 42, # Optional. TimeoutSeconds holds the max duration the instance is allowed for responding to a request. Cloud Run: defaults to 300 seconds (5 minutes). Maximum allowed value is 3600 seconds (1 hour).
                "volumes": [
                  { # Volume represents a named volume in a container.
                    "configMap": { # Not supported by Cloud Run. Adapts a ConfigMap into a volume. The contents of the target ConfigMap's Data field will be presented in a volume as files using the keys in the Data field as the file names, unless the items element is populated with specific mappings of keys to paths. # Not supported in Cloud Run.
                      "defaultMode": 42, # (Optional) Integer representation of mode bits to use on created files by default. Must be a value between 01 and 0777 (octal). If 0 or not set, it will default to 0644. Directories within the path are not affected by this setting. Notes * Internally, a umask of 0222 will be applied to any non-zero value. * This is an integer representation of the mode bits. So, the octal integer value should look exactly as the chmod numeric notation with a leading zero. Some examples: for chmod 777 (a=rwx), set to 0777 (octal) or 511 (base-10). For chmod 640 (u=rw,g=r), set to 0640 (octal) or 416 (base-10). For chmod 755 (u=rwx,g=rx,o=rx), set to 0755 (octal) or 493 (base-10). * This might be in conflict with other options that affect the file mode, like fsGroup, and the result can be other mode bits set.
                      "items": [ # (Optional) If unspecified, each key-value pair in the Data field of the referenced Secret will be projected into the volume as a file whose name is the key and content is the value. If specified, the listed keys will be projected into the specified paths, and unlisted keys will not be present. If a key is specified that is not present in the Secret, the volume setup will error unless it is marked optional.
                        { # Maps a string key to a path within a volume.
                          "key": "A String", # The Cloud Secret Manager secret version. Can be 'latest' for the latest value, or an integer or a secret alias for a specific version. The key to project.
                          "mode": 42, # (Optional) Mode bits to use on this file, must be a value between 01 and 0777 (octal). If 0 or not set, the Volume's default mode will be used. Notes * Internally, a umask of 0222 will be applied to any non-zero value. * This is an integer representation of the mode bits. So, the octal integer value should look exactly as the chmod numeric notation with a leading zero. Some examples: for chmod 777 (a=rwx), set to 0777 (octal) or 511 (base-10). For chmod 640 (u=rw,g=r), set to 0640 (octal) or 416 (base-10). For chmod 755 (u=rwx,g=rx,o=rx), set to 0755 (octal) or 493 (base-10). * This might be in conflict with other options that affect the file mode, like fsGroup, and the result can be other mode bits set.
                          "path": "A String", # The relative path of the file to map the key to. May not be an absolute path. May not contain the path element '..'. May not start with the string '..'.
                        },
                      ],
                      "name": "A String", # Name of the config.
                      "optional": True or False, # (Optional) Specify whether the Secret or its keys must be defined.
                    },
                    "csi": { # Storage volume source using the Container Storage Interface. # Volume specified by the Container Storage Interface driver
                      "driver": "A String", # name of the CSI driver for the requested storage system. Cloud Run supports the following drivers: * gcsfuse.run.googleapis.com : Mount a Cloud Storage Bucket as a volume.
                      "readOnly": True or False, # If true, mount the volume as read only. Defaults to false.
                      "volumeAttributes": { # stores driver specific attributes. For Google Cloud Storage volumes, the following attributes are supported: * bucketName: the name of the Cloud Storage bucket to mount. The Cloud Run Service identity must have access to this bucket. * mountOptions: comma-separated list of mount options to pass to the gcsfuse.
                        "a_key": "A String",
                      },
                    },
                    "emptyDir": { # In memory (tmpfs) ephemeral storage. It is ephemeral in the sense that when the sandbox is taken down, the data is destroyed with it (it does not persist across sandbox runs). # Ephemeral storage used as a shared volume.
                      "medium": "A String", # The medium on which the data is stored. The default is "" which means to use the node's default medium. Must be an empty string (default) or Memory. More info: https://kubernetes.io/docs/concepts/storage/volumes#emptydir
                      "sizeLimit": "A String", # Limit on the storage usable by this EmptyDir volume. The size limit is also applicable for memory medium. The maximum usage on memory medium EmptyDir would be the minimum value between the SizeLimit specified here and the sum of memory limits of all containers. The default is nil which means that the limit is undefined. More info: https://cloud.google.com/run/docs/configuring/in-memory-volumes#configure-volume. Info in Kubernetes: https://kubernetes.io/docs/concepts/storage/volumes/#emptydir
                    },
                    "name": "A String", # Volume's name. In Cloud Run Fully Managed, the name 'cloudsql' is reserved.
                    "nfs": { # Represents a persistent volume that will be mounted using NFS. This volume will be shared between all instances of the resource and data will not be deleted when the instance is shut down.
                      "path": "A String", # Path that is exported by the NFS server.
                      "readOnly": True or False, # If true, mount the NFS volume as read only. Defaults to false.
                      "server": "A String", # Hostname or IP address of the NFS server.
                    },
                    "secret": { # A volume representing a secret stored in Google Secret Manager. The secret's value will be presented as the content of a file whose name is defined in the item path. If no items are defined, the name of the file is the secret_name. The contents of the target Secret's Data field will be presented in a volume as files using the keys in the Data field as the file names. # The secret's value will be presented as the content of a file whose name is defined in the item path. If no items are defined, the name of the file is the secretName.
                      "defaultMode": 42, # Integer representation of mode bits to use on created files by default. Must be a value between 01 and 0777 (octal). If 0 or not set, it will default to 0444. Directories within the path are not affected by this setting. Notes * Internally, a umask of 0222 will be applied to any non-zero value. * This is an integer representation of the mode bits. So, the octal integer value should look exactly as the chmod numeric notation with a leading zero. Some examples: for chmod 777 (a=rwx), set to 0777 (octal) or 511 (base-10). For chmod 640 (u=rw,g=r), set to 0640 (octal) or 416 (base-10). For chmod 755 (u=rwx,g=rx,o=rx), set to 0755 (octal) or 493 (base-10). * This might be in conflict with other options that affect the file mode, like fsGroup, and the result can be other mode bits set.
                      "items": [ # A list of secret versions to mount in the volume. If no items are specified, the volume will expose a file with the same name as the secret name. The contents of the file will be the data in the latest version of the secret. If items are specified, the key will be used as the version to fetch from Cloud Secret Manager and the path will be the name of the file exposed in the volume. When items are defined, they must specify both a key and a path.
                        { # Maps a string key to a path within a volume.
                          "key": "A String", # The Cloud Secret Manager secret version. Can be 'latest' for the latest value, or an integer or a secret alias for a specific version. The key to project.
                          "mode": 42, # (Optional) Mode bits to use on this file, must be a value between 01 and 0777 (octal). If 0 or not set, the Volume's default mode will be used. Notes * Internally, a umask of 0222 will be applied to any non-zero value. * This is an integer representation of the mode bits. So, the octal integer value should look exactly as the chmod numeric notation with a leading zero. Some examples: for chmod 777 (a=rwx), set to 0777 (octal) or 511 (base-10). For chmod 640 (u=rw,g=r), set to 0640 (octal) or 416 (base-10). For chmod 755 (u=rwx,g=rx,o=rx), set to 0755 (octal) or 493 (base-10). * This might be in conflict with other options that affect the file mode, like fsGroup, and the result can be other mode bits set.
                          "path": "A String", # The relative path of the file to map the key to. May not be an absolute path. May not contain the path element '..'. May not start with the string '..'.
                        },
                      ],
                      "optional": True or False, # Not supported by Cloud Run.
                      "secretName": "A String", # The name of the secret in Cloud Secret Manager. By default, the secret is assumed to be in the same project. If the secret is in another project, you must define an alias. An alias definition has the form: :projects//secrets/. If multiple alias definitions are needed, they must be separated by commas. The alias definitions must be set on the run.googleapis.com/secrets annotation. Name of the secret in the container's namespace to use.
                    },
                  },
                ],
              },
            },
          },
          "status": { # ConfigurationStatus communicates the observed state of the Configuration (from the controller). # Status communicates the observed state of the Configuration (from the controller).
            "conditions": [ # Conditions communicate information about ongoing/complete reconciliation processes that bring the "spec" inline with the observed state of the world.
              { # Conditions show the status of reconciliation progress on a given resource. Most resource use a top-level condition type "Ready" or "Completed" to show overall status with other conditions to checkpoint each stage of reconciliation. Note that if metadata.Generation does not equal status.ObservedGeneration, the conditions shown may not be relevant for the current spec.
                "lastTransitionTime": "A String", # Optional. Last time the condition transitioned from one status to another.
                "message": "A String", # Optional. Human readable message indicating details about the current status.
                "reason": "A String", # Optional. One-word CamelCase reason for the condition's last transition. These are intended to be stable, unique values which the client may use to trigger error handling logic, whereas messages which may be changed later by the server.
                "severity": "A String", # Optional. How to interpret this condition. One of Error, Warning, or Info. Conditions of severity Info do not contribute to resource readiness.
                "status": "A String", # Status of the condition, one of True, False, Unknown.
                "type": "A String", # type is used to communicate the status of the reconciliation process. Types common to all resources include: * "Ready" or "Completed": True when the Resource is ready.
              },
            ],
            "latestCreatedRevisionName": "A String", # LatestCreatedRevisionName is the last revision that was created from this Configuration. It might not be ready yet, so for the latest ready revision, use LatestReadyRevisionName.
            "latestReadyRevisionName": "A String", # LatestReadyRevisionName holds the name of the latest Revision stamped out from this Configuration that has had its "Ready" condition become "True".
            "observedGeneration": 42, # ObservedGeneration is the 'Generation' of the Configuration that was last processed by the controller. The observed generation is updated even if the controller failed to process the spec and create the Revision. Clients polling for completed reconciliation should poll until observedGeneration = metadata.generation, and the Ready condition's status is True or False.
          },
        },
      ],
      "kind": "A String", # The kind of this resource, in this case "ConfigurationList".
      "metadata": { # Metadata for synthetic resources like List. In Cloud Run, all List Resources Responses will have a ListMeta instead of ObjectMeta. # Metadata associated with this Configuration list.
        "continue": "A String", # Continuation token is a value emitted when the count of items is larger than the user/system limit. To retrieve the next page of items, pass the value of `continue` as the next request's `page_token`.
        "resourceVersion": "A String", # Opaque string that identifies the server's internal version of this object. It can be used by clients to determine when objects have changed. If the message is passed back to the server, it must be left unmodified.
        "selfLink": "A String", # URL representing this object.
      },
      "unreachable": [ # Locations that could not be reached.
        "A String",
      ],
    }